mackWolfeTest {PMCMRplus} | R Documentation

## Mack-Wolfe Test for Umbrella Alternatives

### Description

Performs Mack-Wolfe non-parametric test for umbrella alternatives.

### Usage

    mackWolfeTest(x, ...)

    ## Default S3 method:
    mackWolfeTest(x, g, p = NULL, nperm = 1000, ...)

    ## S3 method for class 'formula'
    mackWolfeTest(formula, data, subset, na.action, p = NULL, nperm = 1000, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`p` | the a-priori known peak as an ordinal number of the treatment group including the zero dose level, i.e. p = \{1, …, k\}. Defaults to `NULL`.
`nperm` | number of permutations for the assymptotic permutation test. Defaults to `1000`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

In dose-finding studies one may assume an increasing treatment effect with increasing dose level. However, the test subject may actually succumb to toxic effects at high doses, which leads to decresing treatment effects.

The scope of the Mack-Wolfe Test is to test for umbrella alternatives for either a known or unknown point p (i.e. dose-level), where the peak (umbrella point) is present.

H_i: θ_0 = θ_i = … = θ_k is tested against the alternative A_i: θ_1 ≤ … θ_p ≥ θ_k for some p, with at least one strict inequality.

If `p = NULL` (peak unknown), the upper-tail p-value is computed via an asymptotic bootstrap permutation test.

If an integer value for `p` is given (peak known), the upper-tail p-value is computed from the standard normal distribution (`pnorm`).

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### Note

One may increase the number of permutations to e.g. `nperm = 10000` in order to get more precise p-values. However, this will be on the expense of computational time.

### References

Chen, I. Y. (1991) Notes on the Mack-Wolfe and Chen-Wolfe Tests for Umbrella Alternatives, Biom. J. 33, 281–290.

Mack, G. A., Wolfe, D. A. (1981) K-sample rank tests for umbrella alternatives, J. Amer. Statist. Assoc. 76, 175–181.

### See Also

`pnorm`, `sample`.

### Examples

    ## Example from Table 6.10 of Hollander and Wolfe (1999).
    ## Plates with Salmonella bacteria of strain TA98 were exposed to
    ## various doses of Acid Red 114 (in mu g / ml).
    ## The data are the numbers of visible revertant colonies on 12 plates.
    ## Assume a peak at D333 (i.e. p = 3).
    x <- c(22, 23, 35, 60, 59, 54, 98, 78, 50, 60, 82, 59, 22, 44,
      33, 23, 21, 25)
    g <- as.ordered(rep(c(0, 100, 333, 1000, 3333, 10000), each=3))
    plot(x ~ g)
    mackWolfeTest(x=x, g=g, p=3)

[Package PMCMRplus version 1.6.1 Index]